/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package yafft.FFModel.ModelItems;

import java.net.URL;
import java.sql.Timestamp;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.StringProperty;

/**
 *
 * @author michal
 */
public class Bookmark {

    //url, string, ts ts

    private ObjectProperty<URL> url;
    private StringProperty name;
    private ObjectProperty<Timestamp> added;
    private ObjectProperty<Timestamp> modified;

    public Bookmark(ObjectProperty<URL> url, StringProperty name, ObjectProperty<Timestamp> added, ObjectProperty<Timestamp> modified) {
        this.url = url;
        this.name = name;
        this.added = added;
        this.modified = modified;
    }

    public ObjectProperty<URL> getUrl() {
        return url;
    }

    public StringProperty getName() {
        return name;
    }

    public ObjectProperty<Timestamp> getAdded() {
        return added;
    }

    public ObjectProperty<Timestamp> getModified() {
        return modified;
    }

    @Override
    public String toString() {
        return "Bookmark{" + "url=" + url.getValue() + ", name=" + name.getValue() + ", added=" + added + ", modified=" + modified + '}';
    }

}
